LibreOffice LibreOffice 4.3 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
com::sun::star::uno::TypeDescription Class Reference

C++ wrapper for typelib_TypeDescription. More...

`#include <typedescription.hxx>`

## Public Member Functions
| TypeDescription (typelib_TypeDescription *pTypeDescr=0) SAL_THROW(())
| Constructor: More...
| TypeDescription (typelib_TypeDescriptionReference *pTypeDescrRef) SAL_THROW(())
| Constructor: More...
| TypeDescription (const ::com::sun::star::uno::Type &rType) SAL_THROW(())
| Constructor: More...
| TypeDescription (const TypeDescription &rDescr) SAL_THROW(())
| Copy constructor: More...
| TypeDescription (rtl_uString *pTypeName) SAL_THROW(())
| Constructor: More...
| TypeDescription (const ::rtl::OUString &rTypeName) SAL_THROW(())
| Constructor: More...
| ~TypeDescription () SAL_THROW(())
| Destructor: releases type description. More...
TypeDescription & | operator= (typelib_TypeDescription *pTypeDescr) SAL_THROW(())
| Assignment operator: acquires given type description and releases a set one. More...
TypeDescription & | operator= (const TypeDescription &rTypeDescr) SAL_THROW(())
| Assignment operator: acquires given type description and releases a set one. More...
bool | equals (const typelib_TypeDescription *pTypeDescr) const SAL_THROW(())
| Tests whether two type descriptions are equal. More...
bool | equals (const TypeDescription &rTypeDescr) const SAL_THROW(())
| Tests whether two type descriptions are equal. More...
void | makeComplete () const SAL_THROW(())
| Makes stored type description complete. More...
typelib_TypeDescription * | get () const SAL_THROW(())
| Gets the UNacquired type description pointer. More...
bool | is () const SAL_THROW(())
| Tests if a type description is set. More...

## Detailed Description

C++ wrapper for typelib_TypeDescription.

Constructors by name, type, type description reference will get the full type description.

See also
  typelib_TypeDescription

## Constructor & Destructor Documentation

com::sun::star::uno::TypeDescription::TypeDescription | ( | typelib_TypeDescription * | pTypeDescr = `0` | ) |
| inline

Constructor:

Parameters

  pTypeDescr | a type description

com::sun::star::uno::TypeDescription::TypeDescription | ( | typelib_TypeDescriptionReference * | pTypeDescrRef | ) |
| inline

Constructor:

Parameters

  pTypeDescrRef | a type description reference

com::sun::star::uno::TypeDescription::TypeDescription | ( | const ::com::sun::star::uno::Type & | rType | ) |
| inline

Constructor:

Parameters

  rType | a type

com::sun::star::uno::TypeDescription::TypeDescription | ( | const TypeDescription & | rDescr | ) |
| inline

Copy constructor:

Parameters

  rDescr | another TypeDescription

com::sun::star::uno::TypeDescription::TypeDescription | ( | rtl_uString * | pTypeName | ) |
| inline

Constructor:

Parameters

  pTypeName | a type name

com::sun::star::uno::TypeDescription::TypeDescription | ( | const ::rtl::OUString & | rTypeName | ) |
| inline

Constructor:

Parameters

  rTypeName | a type name

com::sun::star::uno::TypeDescription::~TypeDescription | ( |  | ) |
| inline

Destructor: releases type description.

## Member Function Documentation

bool com::sun::star::uno::TypeDescription::equals | ( | const typelib_TypeDescription * | pTypeDescr | ) | const
| inline

Tests whether two type descriptions are equal.

Parameters

  pTypeDescr | another type description

Returns
  true, if both type descriptions are equal, false otherwise

bool com::sun::star::uno::TypeDescription::equals | ( | const TypeDescription & | rTypeDescr | ) | const
| inline

Tests whether two type descriptions are equal.

Parameters

  rTypeDescr | another type description

Returns
  true, if both type descriptions are equal, false otherwise

typelib_TypeDescription* com::sun::star::uno::TypeDescription::get | ( |  | ) | const
| inline

Gets the UNacquired type description pointer.

Returns
  stored pointer of type description

bool com::sun::star::uno::TypeDescription::is | ( |  | ) | const
| inline

Tests if a type description is set.

Returns
  true, if a type description is set, false otherwise

void com::sun::star::uno::TypeDescription::makeComplete | ( |  | ) | const
| inline

Makes stored type description complete.

TypeDescription & com::sun::star::uno::TypeDescription::operator= | ( | typelib_TypeDescription * | pTypeDescr | ) |
| inline

Assignment operator: acquires given type description and releases a set one.

Parameters

  pTypeDescr | another type description

Returns
  this TypeDescription

TypeDescription& com::sun::star::uno::TypeDescription::operator= | ( | const TypeDescription & | rTypeDescr | ) |
| inline

Assignment operator: acquires given type description and releases a set one.

Parameters

  rTypeDescr | another type description

Returns
  this TypeDescription

The documentation for this class was generated from the following file:

- typelib/typedescription.hxx